//
//  ViewController.m
//  Tuozmz
//
//  Created by CiHon-IOS2 on 16/9/23.
//  Copyright © 2016年 walkingzmz. All rights reserved.
//

#import "ViewController.h"
#import "Custombutton.h"

@interface ViewController ()

@property(nonatomic,strong)Custombutton *customBtn;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    [self loadAvatarInKeyView];
    
       // Do any additional setup after loading the view, typically from a nib.
}


- (void)loadAvatarInKeyView {
    
    Custombutton *avatar = [[Custombutton alloc] initInKeyWindowWithFrame:CGRectMake(0, 333.5, 60, 60)];
    
    [avatar setTag:100];
    
    [avatar setBackgroundImage:[UIImage imageNamed:@"loadAvatar"] forState:UIControlStateNormal];
    avatar.adjustsImageWhenHighlighted = NO;
    [avatar setLongPressBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow ===  LongPress!!! ===");
        //More todo here.
        
    }];
    
    [avatar setTapBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow ===  Tap!!! ===");
        //More todo here.
        
    }];
    
    [avatar setDoubleTapBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow ===  DoubleTap!!! ===");
        //More todo here.
        
    }];
    
    [avatar setDraggingBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow === Dragging!!! ===");
        //More todo here.
        
    }];
    
    [avatar setDragDoneBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow === DragDone!!! ===");
        //More todo here.
        
    }];
    
    [avatar setAutoDockingBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow === AutoDocking!!! ===");
        //More todo here.
        
    }];
    
    [avatar setAutoDockingDoneBlock:^(Custombutton *avatar) {
        NSLog(@"\n\tAvatar in keyWindow === AutoDockingDone!!! ===");
        //More todo here.
        
    }];
}

-(void)viewWillDisappear:(BOOL)animated
{
    [Custombutton removeAllFromKeyWindow];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
